CREATE TABLE EXP_EIV1_VETA(
ID number(16,0),
IDROW varchar2(6),
AMOUNT number(18,5),
BRUTTO number(18,5),
CORRECTION number(18,5),
UKAZOVATEL varchar2(250),
RIADOK varchar2(4),
TNG_STAV varchar2(1)
);

CREATE UNIQUE INDEX EXP_EIV1_V_YHDYVLS ON EXP_EIV1_VETA(IDROW);

CREATE UNIQUE INDEX EXP_EIV1_V_HUWNPJX ON EXP_EIV1_VETA(ID);

CREATE TABLE EXP_IP1_OBJEDNAVKA(
ID number(16,0),
SITE number(5,0),
PORDNO varchar2(13),
PORDLINE number(9,0),
VENDNO varchar2(10),
CCNO varchar2(8),
VENDBRAN number(5,0),
PORDCONF number(1,0),
PORDEXNO varchar2(13),
PORDTYPE number(3,0),
PORDSTAT number(3,0),
CURRCODE number(3,0),
EXCHRATE number(12,6),
PORDDATE date,
DELIVDATE date,
DEADLINE date,
EAN varchar2(14),
LVNO number(5,0),
PVNO number(3,0),
VENDREF varchar2(20),
QUANPC number(9,3),
PURCHPRICE number(15,5),
PRICEUNIT number(3,0),
VENDPORDNO varchar2(10),
URGIND number(1,0),
COUNTRY number(3,0),
PAYMODE number(3,0),
PAYDATE date,
VATCODE number(3,0),
NOTE1 varchar2(60),
NOTE2 varchar2(60),
NOTE3 varchar2(60),
NOTE4 varchar2(60),
NOTE5 varchar2(60),
TNG_STAV varchar2(1)
);

CREATE UNIQUE INDEX EXP_IP1_OB_ADJCRGQ ON EXP_IP1_OBJEDNAVKA(SITE,PORDNO,PORDLINE);

CREATE TABLE EXP_IP1_PRIJEM(
ID number(16,0),
SITE number(5,0),
RCPTNO varchar2(16),
RCPTLINE number(5,0),
MOVETYPE number(3,0),
PORDNO number(9,0),
PORDLINE varchar2(13),
RCPTDATE date,
VENDNO varchar2(20),
VENDBRAN number(9,0),
CCNO varchar2(8),
EAN varchar2(14),
LVNO number(5,0),
LUNO number(9,0),
PVNO number(3,0),
VENDREF varchar2(20),
RCVQUAN number(9,3),
RCVWEIGHT number(9,3),
REJQUAN number(9,3),
REJWEIGHT number(9,3),
REJREAS number(3,0),
PURCHPRICE number(15,5),
PRICEUNIT number(3,0),
VATCODE number(3,0),
CURRCODE number(3,0),
RCPTTYPE number(3,0),
DELIVNO varchar2(15),
DELIVLINE number(9,0),
TNG_STAV varchar2(1)
);

CREATE UNIQUE INDEX EXP_IP1_PR_FWTIJXB ON EXP_IP1_PRIJEM(SITE,RCPTNO,RCPTLINE);

CREATE TABLE EXP_IPA2_DODAVATEL(
ID number(16,0),
AKCIANO varchar2(8),
VENDNO varchar2(10),
VENDRATE varchar2(1),
NOTE varchar2(250),
TNG_STAV varchar2(1)
);

CREATE TABLE EXP_IPA2_KONKURENT(
ID number(16,0),
AKCIANO varchar2(8),
EAN varchar2(14),
KONKNAME varchar2(5),
KONKPRICE number(15,3),
TNG_STAV varchar2(1)
);

CREATE TABLE EXP_IPA2_VYHRA(
ID number(16,0),
AKCIANO varchar2(8),
PRIZNOTE varchar2(100),
PRIZPRICE number(15,3),
TOSSDATE date,
DELIDATE date,
WINNAME varchar2(30),
WINADDR varchar2(35),
WINTEL varchar2(30),
TNG_STAV varchar2(1)
);

CREATE TABLE EXP_IS1_PREDAJ(
ID number(16,0),
SITE number(5,0),
EAN varchar2(14),
CUSTNO varchar2(20),
CCNO varchar2(8),
SALETYPE number(3,0),
SALEDATE date,
AMOUNT number(15,3),
VATCODE number(3,0),
SALECOUNT number(9,3),
MOVETYPE number(9,3),
SALEQUAN number(9,3),
QUANTYPE number(3,0),
TNG_STAV varchar2(1)
);

CREATE UNIQUE INDEX EXP_IS1_PR_SHONSLG ON EXP_IS1_PREDAJ(SITE,EAN,CUSTNO,CCNO,SALETYPE,SALEDATE,MOVETYPE);

CREATE TABLE EXP_IS1_PREDAJ_NK(
ID number(16,0),
SITE number(5,0),
EANNK varchar2(14),
SALEDATE date,
AMOUNT number(15,3),
TNG_STAV varchar2(1)
);

CREATE UNIQUE INDEX EXP_IS1_PR_WILVKLH ON EXP_IS1_PREDAJ_NK(SITE,EANNK,SALEDATE);

CREATE TABLE EXP_IS1_PREDAJ_PK(
ID number(16,0),
SITE number(5,0),
PKNO varchar2(20),
SALEDATE date,
AMOUNT number(15,3),
PKCOUNT number(9,0),
TNG_STAV varchar2(1)
);

CREATE UNIQUE INDEX EXP_IS1_PR_UPQBFUH ON EXP_IS1_PREDAJ_PK(SITE,PKNO,SALEDATE);

CREATE TABLE EXP_IS1_PREDAJ_SUM(
ID number(16,0),
SITE number(5,0),
SALEDATE date,
SALECOUNT number(9,0),
TNG_STAV varchar2(1)
);

CREATE UNIQUE INDEX EXP_IS1_PR_GLCWSCL ON EXP_IS1_PREDAJ_SUM(SITE,SALEDATE);

CREATE TABLE IA6_ATRIBUT(
ID number(16,0),
EXPID varchar2(16),
ATCCODE varchar2(4),
ATCUNIQ number(1,0),
TATCLIBL varchar2(30),
TATCLIBC varchar2(20),
ATTCODE varchar2(4),
ATTTYPVAL number(3,0),
ATTVALN varchar2(15),
ATTVALNUM number(11,4),
TATTLIBL varchar2(30),
TATTLIBC varchar2(20),
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_TYP varchar2(1),
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IA6_ATRIBU_YUTYVXO ON IA6_ATRIBUT(ID);

CREATE INDEX IA6_ATRIBU_OZOMJXL ON IA6_ATRIBUT(ATCCODE,ATTCODE,TNG_TYP);

CREATE TABLE IA6_ATRIBUT_TOV(
ID number(16,0),
EXPID varchar2(16),
ARTCEXR varchar2(13),
TSOBDESC varchar2(50),
AATCCLA varchar2(4),
AATCATT varchar2(4),
AATVALN varchar2(15),
AATVALNUM number(11,4),
AATDDEB date,
AATDFIN date,
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_TYP varchar2(1),
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IA6_ATRIBU_DKVOZFK ON IA6_ATRIBUT_TOV(ID);

CREATE INDEX IA6_ATRIBU_MMYEJXO ON IA6_ATRIBUT_TOV(ARTCEXR,AATCCLA,AATCATT, AATDDEB,TNG_TYP);

CREATE TABLE IA6_LOGVPRED(
ID number(16,0),
EXPID varchar2(16),
ARFCEXT varchar2(13),
ARFLIBL varchar2(50),
ARFCNUF varchar2(10),
FOULIBL varchar2(35),
ARFREFC varchar2(20),
ARFCEXVL number(3,0),
ARFTMIN number(3,1),
ARFTMAX number(3,1),
ARFTYPUL1 number(3,0),
T_ARFTYPUL1 varchar2(20),
ARFDESC1 varchar2(50),
CUFTCOD1 number(3,0),
T_CUFTCOD1 varchar2(20),
CUFCODE1 varchar2(14),
CUFDDEB1 date,
CUFDFIN1 date,
ARFUPDS1 number(3,0),
T_AFUPDS1 varchar2(20),
ARFPBRU1 number(8,3),
ARFUMES1 number(3,0),
T_ARFUMES1 varchar2(20),
ARFLONG1 number(6,2),
ARFLARG1 number(6,2),
ARFHAUT1 number(6,2),
ARFEMB1 varchar2(13),
ARFTYPUL2 number(3,0),
T_ARFTYPUL2 varchar2(20),
ARFDESC2 varchar2(50),
ARFCOEFF2 number(7,0),
CUFTCOD2 number(3,0),
T_CUFTCOD2 varchar2(20),
CUFCODE2 varchar2(14),
CUFDDEB2 date,
CUFDFIN2 date,
ARFUPDS2 number(3,0),
T_ARFUPDS2 varchar2(20),
ARFPBRU2 number(8,3),
ARFUMES2 number(3,0),
T_ARFUMES2 varchar2(20),
ARFLONG2 number(6,2),
ARFLARG2 number(6,2),
ARFHAUT2 number(6,2),
ARFEMB2 varchar2(13),
ARFTYPUL3 number(3,0),
T_ARFTYPUL3 varchar2(20),
ARFDESC3 varchar2(50),
ARFCOEFF3 number(7,0),
CUFTCOD3 number(3,0),
T_CUFTCOD3 varchar2(20),
CUFCODE3 varchar2(14),
CUFDDEB3 date,
CUFDFIN3 date,
ARFUPDS3 number(3,0),
T_ARFUPDS3 varchar2(20),
ARFPBRU3 number(8,3),
ARFUMES3 number(3,0),
T_ARFUMES3 varchar2(20),
ARFLONG3 number(6,2),
ARFLARG3 number(6,2),
ARFHAUT3 number(6,2),
ARFEMB3 varchar2(13),
ARFTYPUL4 number(3,0),
T_ARFTYPUL4 varchar2(20),
ARFDESC4 varchar2(50),
ARFCOEFF4 number(7,0),
CUFTCOD4 number(3,0),
T_CUFTCOD4 varchar2(20),
CUFCODE4 varchar2(14),
CUFDDEB4 date,
CUFDFIN4 date,
ARFUPDS4 number(3,0),
T_ARFUPDS4 varchar2(20),
ARFPBRU4 number(8,3),
ARFUMES4 number(3,0),
T_ARFUMES4 varchar2(20),
ARFLONG4 number(6,2),
ARFLARG4 number(6,2),
ARFHAUT4 number(6,2),
ARFEMB4 varchar2(13),
ARFDESC5 varchar2(50),
ARFTYPUL5 number(3,0),
T_ARFTYPUL5 varchar2(20),
ARFCOEFF5 number(7,0),
CUFTCOD5 number(3,0),
T_CUFTCOD5 varchar2(20),
CUFCODE5 varchar2(14),
CUFDDEB5 date,
CUFDFIN5 date,
ARFUPDS5 number(3,0),
T_ARFUPDS5 varchar2(20),
ARFPBRU5 number(8,3),
ARFUMES5 number(3,0),
T_ARFUMES5 varchar2(20),
ARFLONG5 number(6,2),
ARFLARG5 number(6,2),
ARFHAUT5 number(6,2),
ARFEMB5 varchar2(13),
ARFSTOCK number(1,0),
ARFSPRO varchar2(2),
ARFUV number(1,0),
ARFLIBC varchar2(20),
ARFCEXV number(3,0),
ARFUVEAN varchar2(13),
ARFUUVC number(3,0),
T_ARFUUVC varchar2(20),
ARFPUVC number(6,3),
ARFPERM number(3,0),
T_ARFPERM varchar2(20),
ARFNIEL varchar2(5),
ARFCDDEB date,
ARFCDFIN date,
ARFPOD number(7,2),
ARFUVETAT number(3,0),
T_ARFUVETAT varchar2(20),
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_TYP varchar2(1),
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IA6_LOGVPR_ZNEGKRQ ON IA6_LOGVPRED(ID);

CREATE INDEX IA6_LOGVPR_AOWRQSG ON IA6_LOGVPRED(ARFCEXT,ARFCEXVL,ARFCEXV,TNG_TYP);

CREATE TABLE IA6_ZAKLDATA(
ID number(16,0),
EXPID varchar2(16),
ARFCEXT varchar2(13),
ARFDESC varchar2(50),
ARFCNUF varchar2(10),
FOULIBL varchar2(35),
ARFREFC varchar2(20),
ARFLANGUE varchar2(5),
ARFCEXTINP varchar2(13),
ARFDDEB date,
ARFDFIN date,
ARFTYPP number(3,0),
T_ARFTYPP varchar2(20),
ARFNATU number(3,0),
T_ARFNATU varchar2(20),
ARFCENT varchar2(13),
ARFQUAL number(3,0),
T_ARFQUAL varchar2(20),
ARFALCO number(1,0),
ARFDEGR number(3,1),
ARFDLIM number(4,0),
ARFTYPE number(3,0),
T_ARFTYPE varchar2(20),
ARFCERO varchar2(20),
ARFCERC varchar2(20),
ARFAGRS varchar2(20),
ARFREF number(3,0),
T_ARFREF varchar2(20),
ARFSGAR number(3,0),
T_ARFSGAR varchar2(20),
ARFDANG number(3,0),
T_ARFDANG varchar2(20),
ARFUSTK number(3,0),
T_ARFUSTK varchar2(20),
ARFUFAC number(3,0),
T_ARFUFAC varchar2(20),
ARFCFAB varchar2(13),
ARFPRINT number(1,0),
ARFETAT number(3,0),
T_ARFETAT varchar2(20),
ARFUDLV number(3,0),
ARFPOF number(5,2),
ARFPOE number(5,2),
ARFPOV number(5,2),
ARFPOC number(5,2),
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_TYP varchar2(1),
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IA6_ZAKLDA_GVGUVHX ON IA6_ZAKLDATA(ID);

CREATE INDEX IA6_ZAKLDA_SPKHRYK ON IA6_ZAKLDATA(ARFCEXT,TNG_TYP);

CREATE TABLE IC6_HODNOTA(
ID number(16,0),
EXPID varchar2(16),
PARTABL number(5,0),
PARPOST number(5,0),
TPARLIBC varchar2(10),
TPARLIBL varchar2(20),
PARVAN1 number(10,3),
PARVAN2 number(10,3),
PARVAN3 number(10,3),
PARVAN4 number(10,3),
PARVAC1 varchar2(10),
PARVAC2 varchar2(20),
PARDATE date,
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IC6_HODNOT_MIRNTON ON IC6_HODNOTA(ID);

CREATE INDEX IC6_HODNOT_CQZXFLK ON IC6_HODNOTA(PARTABL,PARPOST);

CREATE TABLE IC6_SITE(
ID number(16,0),
EXPID varchar2(16),
SITE number(10,0),
SITEDESC varchar2(80),
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IC6_SITE_OHBNRIL ON IC6_SITE(ID);

CREATE INDEX IC6_SITE_OAQNVWB ON IC6_SITE(SITE);

CREATE TABLE ID6_ADRESA(
ID number(16,0),
EXPID varchar2(16),
FOUCNUF varchar2(10),
FOULIBL varchar2(35),
FADADRE number(3,0),
FADLFON varchar2(13),
FADRAIS varchar2(35),
FADRUE1 varchar2(35),
FADRUE2 varchar2(35),
FADCODE varchar2(9),
FADVILL varchar2(35),
FADDIST varchar2(35),
FADREGN varchar2(9),
FADPAYS number(3,0),
FADPAYS_T varchar2(20),
FADIDEN varchar2(20),
FADACCI varchar2(15),
FADBUDCODE varchar2(9),
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX ID6_ADRESA_NRKAKGQ ON ID6_ADRESA(ID);

CREATE INDEX ID6_ADRESA_OOBCVIS ON ID6_ADRESA(FOUCNUF,FADADRE);

CREATE TABLE ID6_ATRIBUT(
ID number(16,0),
EXPID varchar2(16),
ATCCODE varchar2(4),
ATCUNIQ number(1,0),
TATCLIBL varchar2(30),
TATCLIBC varchar2(20),
ATTCODE varchar2(4),
ATTTYPVAL number(3,0),
ATTVALN varchar2(15),
ATTVALNUM number(11,4),
TATTLIBL varchar2(30),
TATTLIBC varchar2(20),
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX ID6_ATRIBU_MNMFXXH ON ID6_ATRIBUT(ID);

CREATE INDEX ID6_ATRIBU_FIQMWRU ON ID6_ATRIBUT(ATCCODE,ATTCODE);

CREATE TABLE ID6_ATRIBUT_DOD(
ID number(16,0),
EXPID varchar2(16),
FOUCNUF varchar2(10),
FOULIBL varchar2(35),
FATCLA varchar2(4),
FATATT varchar2(4),
FATVALN varchar2(15),
FATVALNUM number(11,4),
FATDDEB date,
FATDFIN date,
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX ID6_ATRIBU_PJEUBWC ON ID6_ATRIBUT_DOD(ID);

CREATE INDEX ID6_ATRIBU_JATEYKT ON ID6_ATRIBUT_DOD(FOUCNUF, FATCLA,FATATT, FATDDEB);

CREATE TABLE ID6_HLAVDATA(
ID number(16,0),
EXPID varchar2(16),
FOUCNUF varchar2(10),
FOULIBL varchar2(35),
FOUNAT number(3,0),
T_FOUNAT varchar2(20),
FOULANG number(3,0),
T_FOULANG varchar2(20),
FOUPAYS number(3,0),
T_FOUPAYS varchar2(20),
FOUTAXE number(1,0),
FOUCFIS2 varchar2(20),
FOUCFIS1 varchar2(20),
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX ID6_HLAVDA_DSAAGVE ON ID6_HLAVDATA(ID);

CREATE INDEX ID6_HLAVDA_SBBOCLL ON ID6_HLAVDATA(FOUCNUF);

CREATE TABLE ID6_KONTAKT(
ID number(16,0),
EXPID varchar2(16),
FOUCNUF varchar2(10),
FOULIBL varchar2(35),
CCTADRE number(3,0),
CCTID number(3,0),
CCTCONT varchar2(30),
CCTANR number(3,0),
T_CCTANR varchar2(20),
CCTPOS number(3,0),
T_CCTPOS varchar2(20),
CCTLAND number(3,0),
T_CCTLAND varchar2(20),
CCTTELX varchar2(30),
CCTTELP varchar2(30),
CCTTELC varchar2(30),
CCTMAIL varchar2(80),
CCTPHOSTD varchar2(30),
CCTPHODIR varchar2(30),
CCTPHOMOB varchar2(30),
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE INDEX ID6_KONTAK_LSJAGNT ON ID6_KONTAKT(FOUCNUF,CCTADRE,CCTID);

CREATE UNIQUE INDEX ID6_KONTAK_PRKPIKB ON ID6_KONTAKT(ID);

CREATE TABLE ID6_POBOCKA(
ID number(16,0),
EXPID varchar2(16),
FOUCNUF varchar2(10),
FOULIBL varchar2(35),
FFINFILF number(5,0),
COMMCNUF varchar2(10),
COMMCIBL varchar2(35),
FFICOMM number(3,0),
LIVRCNUF varchar2(10),
LIVRLIBL varchar2(35),
FFILIVR number(3,0),
FACTCNUF varchar2(10),
FACTLIBL varchar2(35),
FFIFACT number(3,0),
REGLCNUF varchar2(10),
REGLLIBL varchar2(35),
FFIREGL number(3,0),
FFIDDEB date,
FFIDFIN date,
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX ID6_POBOCK_WFXMXOA ON ID6_POBOCKA(ID);

CREATE INDEX ID6_POBOCK_SXWRMVM ON ID6_POBOCKA(FOUCNUF,FFINFILF);

CREATE TABLE IK6_CENYNOBJ(
ID number(16,0),
EXPID varchar2(16),
ARFQUAL number(10,0),
T_ARFQUAL varchar2(50),
ARFCEXT varchar2(13),
ARFLIBL varchar2(50),
OBJPERE varchar2(13),
TSOBDESC2 varchar2(50),
ARFCEXTA number(3,0),
ARFADDEB date,
ARFADFIN date,
ARFUCCEXVL number(3,0),
ARFUCTYPUL number(3,0),
ARFCNUF varchar2(10),
FOULIBL varchar2(35),
ARFNFILF number(5,0),
ARFCCNUM varchar2(8),
ARFUCSITE number(5,0),
ARFORIG number(3,0),
T_ARFORIG varchar2(20),
ARFREFC varchar2(20),
ARFCEAN varchar2(14),
ARFCTVA number(3,0),
T_ARFCTVA varchar2(20),
ARFNDOUAN number(9,0),
ARFMINCDE number(9,0),
PAFBRUT number(15,5),
PAFDEB date,
PAFFIN date,
PAFDTAR date,
SPOTRDAN number(15,5),
OBCHPRIR number(5,2),
PAFMACIB number(5,2),
PVFPRIX number(15,5),
AVIDDEB date,
AVIDFIN date,
JEDNCENA number(15,5),
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_TYP varchar2(1),
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IK6_CENYNO_BIYXMKL ON IK6_CENYNOBJ(ID);
CREATE INDEX IK6_CENYNO_ARFCEXT ON IK6_CENYNOBJ(ARFCEXT);

CREATE INDEX IK6_CENYNO_RQBKLOX ON IK6_CENYNOBJ(ARFCEXT,ARFUCCEXVL,ARFUCTYPUL,ARFCCNUM,ARFCNUF,ARFNFILF,ARFUCSITE,ARFADDEB,TNG_TYP);

CREATE TABLE IK6_FINK(
ID number(16,0),
EXPID varchar2(16),
FOUCNUF varchar2(10),
FOULIBL varchar2(35),
FCRLIB varchar2(35),
FCRDDEB date,
FCRDFIN date,
LIRSITE number(5,0),
LIRDDEB date,
LIRDFIN date,
CRFFLAG number(1,0),
LIRNFILF number(5,0),
FCRDBAS number(3,0),
T_FCRDBAS varchar2(20),
FCRDDEP number(3,0),
T_FCRDDEP varchar2(20),
FCRDARR number(3,0),
T_FCRDARR varchar2(20),
FCRMREG number(3,0),
T_FCRMREG varchar2(20),
FCRCRED number(3,0),
FCRTYPDA number(3,0),
T_FCRTYPDA varchar2(20),
FCRNBJM number(2,0),
FCRDDS number(2,0),
FCRRELE number(3,0),
FCCNUM varchar2(8),
FCCLIB varchar2(35),
FCRNUM varchar2(8),
FCRESCO number(4,2),
FCRNJESC number(3,0),
FCRFACE number(3,0),
T_FCRFACE varchar2(20),
FCRFACC number(3,0),
T_FCRFACC varchar2(20),
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_TYP varchar2(1),
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IK6_FINK_VDGMFRC ON IK6_FINK(ID);

CREATE INDEX IK6_FINK_TVKVEQF ON IK6_FINK(FCRNUM,TNG_TYP);

CREATE TABLE IK6_KOMKDOD(
ID number(16,0),
EXPID varchar2(16),
FCCNUM varchar2(8),
FCCLIB varchar2(35),
FOUCNUF varchar2(10),
FOULIBL varchar2(35),
LICNFILF number(5,0),
LICDDEB date,
LICDFIN date,
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_TYP varchar2(1),
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IK6_KOMKDO_UVKBEWY ON IK6_KOMKDOD(ID);

CREATE INDEX IK6_KOMKDO_TKLIREJ ON IK6_KOMKDOD(FCCNUM,FOUCNUF,LICNFILF,LICDDEB,TNG_TYP);

CREATE TABLE IK6_KOMKHLAV(
ID number(16,0),
EXPID varchar2(16),
FCCNUM varchar2(8),
FCCDDEB date,
FCCDFIN date,
FCCLIB varchar2(35),
FCCNATC number(3,0),
T_FCCNATC varchar2(20),
FOUCNUF varchar2(10),
FOULIBL varchar2(35),
FCCFCTR varchar2(8),
FCCCASS number(1,0),
FCCMINI number(13,2),
FCCMUNIT number(3,0),
T_FCCMUNIT varchar2(20),
FCCRET number(1,0),
FCCSTRU number(13,0),
FCCDEVI number(3,0),
T_FCCDEVI varchar2(20),
FCCINCO number(3,0),
T_FCCINCO varchar2(20),
FCCTRSP number(3,0),
T_FCCTRSP varchar2(20),
FCBCBANK varchar2(8),
FCBCBRANCH varchar2(8),
FCBACOUNT varchar2(30),
FCBIBAN varchar2(39),
FCBPRIOR number(2,0),
FCCFRAN number(11,2),
FCCUFRA number(3,0),
T_FCCUFRA varchar2(20),
FCCDVAL number(3,0),
T_FCCDVAL varchar2(20),
FCCCFCO number(1,0),
FCCFRAP number(5,2),
FCCCOMP number(10,0),
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_TYP varchar2(1),
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IK6_KOMKHL_VZWAXBI ON IK6_KOMKHLAV(ID);

CREATE INDEX IK6_KOMKHL_SHYDIGJ ON IK6_KOMKHLAV(FCCNUM,FCBCBANK,FCBCBRANCH,FCBACOUNT,TNG_TYP);

CREATE TABLE IK6_SRVK(
ID number(16,0),
EXPID varchar2(16),
FOUCNUF varchar2(10),
FOULIBL varchar2(35),
FCSLIB varchar2(35),
FCSDDEB date,
FCSDFIN date,
LISSITE number(5,0),
LISCOMC number(3,0),
T_LISCOMC varchar2(20),
LISCOMR number(3,0),
T_LISCOMR varchar2(20),
LISCOMF number(3,0),
T_LISCOMF varchar2(20),
CSFFLAG number(1,0),
LISNFILF number(5,0),
LISNFILC number(5,0),
LISDDEB date,
LISDFIN date,
FCCNUM varchar2(8),
FCCLIB varchar2(35),
FCSNUM varchar2(8),
LISTLIV number(3,0),
T_LISTLIV varchar2(20),
FCSTSLI number(5,2),
FCSTSQP number(5,2),
FCSCOMM number(3,0),
T_FCSCOMM varchar2(20),
FCSRIRU number(1,0),
FCSRELI number(1,0),
FCSRENB number(3,0),
FCSREAP number(2,0),
FCSCDLU number(1,0),
FCSCDMA number(1,0),
FCSCDME number(1,0),
FCSCDJE number(1,0),
FCSCDVE number(1,0),
FCSCDSA number(1,0),
FCSCDDI number(1,0),
FCSLILU number(2,0),
FCSLIMA number(2,0),
FCSLIME number(2,0),
FCSLIJE number(2,0),
FCSLIVE number(2,0),
FCSLISA number(2,0),
FCSLIDI number(2,0),
FCSDPRO date,
FCSAVAL number(1,0),
LISVCOM number(1,0),
FCSHRLU varchar2(4),
FCSHRMA varchar2(4),
FCSHRME varchar2(4),
FCSHRJE varchar2(4),
FCSHRVE varchar2(4),
FCSHRSA varchar2(4),
FCSHRDI varchar2(4),
FCSHLLU varchar2(4),
FCSHLMA varchar2(4),
FCSHLME varchar2(4),
FCSHLJE varchar2(4),
FCSHLVE varchar2(4),
FCSHLSA varchar2(4),
FCSHLDI varchar2(4),
FCSDRLU number(2,0),
FCSDRMA number(2,0),
FCSDRME number(2,0),
FCSDRJE number(2,0),
FCSDRVE number(2,0),
FCSDRSA number(2,0),
FCSDRDI number(2,0),
FCSDPLU number(2,0),
FCSDPMA number(2,0),
FCSDPME number(2,0),
FCSDPJE number(2,0),
FCSDPVE number(2,0),
FCSDPSA number(2,0),
FCSDPDI number(2,0),
LISTOP number(1,0),
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_TYP varchar2(1),
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IK6_SRVK_HJIEJVZ ON IK6_SRVK(ID);

CREATE INDEX IK6_SRVK_XJXDUFJ ON IK6_SRVK(FCSNUM,TNG_TYP);

CREATE TABLE IP6_CENYNOBJ(
ID number(16,0),
EXPID varchar2(16),
ARFCEXT varchar2(13),
EANKARTON varchar2(17),
ARFCNUF varchar2(10),
FOULIBL varchar2(35),
ARFREFC varchar2(20),
ARFLIBL varchar2(50),
ARUUPDS number(10,0),
T_ARUUPDS varchar2(60),
ALLCOEFF1 number(6,2),
ALLCOEFF2 number(6,2),
ASSORT varchar2(300),
ARFCEXTINP varchar2(13),
TSOBDESC varchar2(60),
ARFCEXTA number(3,0),
ARFADDEB date,
ARFADFIN date,
ARFUCCEXVL number(3,0),
ARFUCTYPUL number(3,0),
T_ARFUCTYPUL varchar2(20),
ARFNFILF number(5,0),
ARFCCNUM varchar2(8),
ARFUCSITE number(5,0),
ARFORIG number(3,0),
T_ARFORIG varchar2(20),
ARFREFC2 varchar2(20),
ARFCEAN varchar2(14),
ARFCTVA number(3,0),
T_ARFCTVA varchar2(20),
ARFNDOUAN number(9,0),
ARFMINCDE number(9,0),
ZAKLCENA number(15,5),
ZLAVA number(5,2),
CENARKZ number(15,5),
ZLAVAAKC number(5,2),
PAFPBRUT number(15,5),
PAFDEB date,
PAFFIN date,
PAVEDDEB date,
PAVEDFIN date,
PAFDTAR date,
SPOTRDAN number(15,5),
OBCHPRIR number(5,2),
PRIR number(5,2),
PAFMACIB number(5,2),
PVFPRIX number(15,5),
ARTDLIM number(4,0),
POZNAMKA varchar2(100),
JEDNCENA number(15,5),
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IP6_CENYNO_LCQYZFS ON IP6_CENYNOBJ(ID);
CREATE INDEX IP6_CENYNO_ARFCEXT ON IP6_CENYNOBJ(ARFCEXT);

CREATE INDEX IP6_CENYNO_XFRMWRH ON IP6_CENYNOBJ(ARFCEXT,ARFUCCEXVL,ARFUCTYPUL,ARFCCNUM,ARFCNUF,ARFNFILF,ARFUCSITE,ARFADDEB);

CREATE TABLE IP6_FINK(
ID number(16,0),
EXPID varchar2(16),
FOUCNUF varchar2(10),
FOULIBL varchar2(35),
FCRLIB varchar2(35),
FCRDDEB date,
FCRDFIN date,
LIRSITE number(5,0),
LIRDDEB date,
LIRDFIN date,
CRFFLAG number(1,0),
LIRNFILF number(5,0),
FCRDBAS number(3,0),
T_FCRDBAS varchar2(20),
FCRDDEP number(3,0),
T_FCRDDEP varchar2(20),
FCRDARR number(3,0),
T_FCRDARR varchar2(20),
FCRMREG number(3,0),
T_FCRMREG varchar2(20),
FCRCRED number(3,0),
FCRTYPDA number(3,0),
T_FCRTYPDA varchar2(20),
FCRNBJM number(2,0),
FCRDDS number(2,0),
FCRRELE number(3,0),
FCCNUM varchar2(8),
FCCLIB varchar2(35),
FCRNUM varchar2(8),
FCRESCO number(4,2),
FCRNJESC number(3,0),
FCRFACE number(3,0),
T_FCRFACE varchar2(20),
FCRFACC number(3,0),
T_FCRFACC varchar2(20),
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IP6_FINK_PFBTVPQ ON IP6_FINK(ID);

CREATE INDEX IP6_FINK_MDYWWQA ON IP6_FINK(FCRNUM);

CREATE TABLE IP6_KOMKDOD(
ID number(16,0),
EXPID varchar2(16),
FCCNUM varchar2(8),
FCCLIB varchar2(35),
FOUCNUF varchar2(10),
FOULIBL varchar2(35),
LICNFILF number(5,0),
LICDDEB date,
LICDFIN date,
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IP6_KOMKDO_QVHTQPB ON IP6_KOMKDOD(ID);

CREATE INDEX IP6_KOMKDO_LAUUAWF ON IP6_KOMKDOD(FCCNUM,FOUCNUF,LICNFILF,LICDDEB);

CREATE TABLE IP6_KOMKHLAV(
ID number(16,0),
EXPID varchar2(16),
FCCNUM varchar2(8),
FCCDDEB date,
FCCDFIN date,
FCCLIB varchar2(35),
FCCNATC number(3,0),
T_FCCNATC varchar2(20),
FOUCNUF varchar2(10),
FOULIBL varchar2(35),
FCCFCTR varchar2(8),
FCCCASS number(1,0),
FCCMINI number(13,2),
FCCMUNIT number(3,0),
T_FCCMUNIT varchar2(20),
FCCRET number(1,0),
FCCSTRU varchar2(13),
FCCDEVI number(3,0),
T_FCCDEVI varchar2(20),
FCCINCO number(3,0),
T_FCCINCO varchar2(20),
FCCTRSP number(3,0),
T_FCCTRSP varchar2(20),
FCBCBANK varchar2(8),
FCBCBRANCH varchar2(8),
FCBACOUNT varchar2(30),
FCBIBAN varchar2(39),
FCBPRIOR number(2,0),
FCCFRAN number(11,2),
FCCUFRA number(3,0),
FCCDVAL number(10,0),
T_FCCDVAL varchar2(20),
FCCCFCO number(1,0),
FCCFRAP number(5,2),
FCCCOMP number(10,0),
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IP6_KOMKHL_CODIJZB ON IP6_KOMKHLAV(ID);

CREATE INDEX IP6_KOMKHL_UAQVBUB ON IP6_KOMKHLAV(FCCNUM,FCBCBANK,FCBCBRANCH,FCBACOUNT);

CREATE TABLE IP6_SRVK(
ID number(16,0),
EXPID varchar2(16),
FOUCNUF varchar2(10),
FOULIBL varchar2(35),
FCSLIB varchar2(35),
FCSDDEB date,
FCSDFIN date,
LISSITE number(5,0),
LISCOMC number(3,0),
T_LISCOMC varchar2(20),
LISCOMR number(3,0),
T_LISCOMR varchar2(20),
LISCOMF number(3,0),
T_LISCOMF varchar2(20),
CSFFLAG number(1,0),
LISNFILF number(5,0),
LISNFILC number(5,0),
LISDDEB date,
LISDFIN date,
FCCNUM varchar2(8),
FCCLIB varchar2(35),
FCSNUM varchar2(8),
LISTLIV number(3,0),
T_LISTLIV varchar2(20),
FCSTSLI number(5,2),
FCSTSQP number(5,2),
FCSCOMM number(3,0),
T_FCSCOMM varchar2(20),
FCSRIRU number(1,0),
FCSRELI number(1,0),
FCSRENB number(3,0),
FCSREAP number(2,0),
FCSCDLU number(1,0),
FCSCDMA number(1,0),
FCSCDME number(1,0),
FCSCDJE number(1,0),
FCSCDVE number(1,0),
FCSCDSA number(1,0),
FCSCDDI number(1,0),
FCSLILU number(2,0),
FCSLIMA number(2,0),
FCSLIME number(2,0),
FCSLIJE number(2,0),
FCSLIVE number(2,0),
FCSLISA number(2,0),
FCSLIDI number(2,0),
FCSDPRO date,
FCSAVAL number(1,0),
LISVCOM number(1,0),
FCSHRLU varchar2(4),
FCSHRMA varchar2(4),
FCSHRME varchar2(4),
FCSHRJE varchar2(4),
FCSHRVE varchar2(4),
FCSHRSA varchar2(4),
FCSHRDI varchar2(4),
FCSHLLU varchar2(4),
FCSHLMA varchar2(4),
FCSHLME varchar2(4),
FCSHLJE varchar2(4),
FCSHLVE varchar2(4),
FCSHLSA varchar2(4),
FCSHLDI varchar2(4),
FCSDRLU number(2,0),
FCSDRMA number(2,0),
FCSDRME number(2,0),
FCSDRJE number(2,0),
FCSDRVE number(2,0),
FCSDRSA number(2,0),
FCSDRDI number(2,0),
FCSDPLU number(2,0),
FCSDPMA number(2,0),
FCSDPME number(2,0),
FCSDPJE number(2,0),
FCSDPVE number(2,0),
FCSDPSA number(2,0),
FCSDPDI number(2,0),
LISTOP number(1,0),
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IP6_SRVK_AUURGYI ON IP6_SRVK(ID);

CREATE INDEX IP6_SRVK_LKFLZFT ON IP6_SRVK(FCSNUM);

CREATE TABLE IR6_SKTOV(
ID number(16,0),
EXPID varchar2(16),
FOUCNUF varchar2(10),
FOULIBL varchar2(35),
FCCNUM varchar2(8),
TGACEXGAT varchar2(13),
TGALIBL varchar2(50),
TGAGADEB date,
TGAGAFIN date,
ARTCEXR varchar2(13),
TSOBDESC varchar2(50),
ARUTYPUL number(3,0),
T_ARUTYPUL varchar2(60),
TGUDDEB date,
TGUDFIN date,
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IR6_SKTOV_WCTISAU ON IR6_SKTOV(ID);

CREATE INDEX IR6_SKTOV_JFOVFCP ON IR6_SKTOV(FOUCNUF,FCCNUM,TGACEXGAT,ARTCEXR,ARUTYPUL,TGUDDEB);

CREATE TABLE IR6_ZLAVA(
ID number(16,0),
EXPID varchar2(16),
FOUCNUF varchar2(10),
FOULIBL varchar2(35),
FCCNUM varchar2(8),
TRECEXREM varchar2(13),
TREDDEB date,
TREDFIN date,
TXXSITE number(5,0),
TRETREM number(3,0),
T_TRETREM varchar2(20),
TREREGL number(3,0),
T_TREREGL varchar2(20),
TREGLOB number(3,0),
T_TREGLOB varchar2(20),
TRIDGLO number(3,0),
T_TRIDGLO varchar2(20),
TXXUREM number(3,0),
T_TXXUREM varchar2(20),
REFREPA number(15,5),
TGACEXGAT varchar2(13),
TREORDC number(5,0),
TXXUMIN number(3,0),
T_TXXUMIN varchar2(20),
TXXDDEB date,
TXXDFIN date,
TXXMINI number(16,0),
TXXMAXI number(16,0),
TRICALC number(3,0),
T_TRICALC varchar2(20),
TREORDA number(5,0),
TREBASE number(4,2),
TGRUGRA number(3,0),
T_TGRUGRA varchar2(20),
TGRNGRA number(14,4),
TRIVALID number(1,0),
TRIMTVA number(3,0),
T_TRIMTVA varchar2(20),
TRINBJR number(2,0),
REFTBR number(3,0),
T_REFTBR varchar2(20),
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IR6_ZLAVA_ISSYDYH ON IR6_ZLAVA(ID);

CREATE INDEX IR6_ZLAVA_EQZQVKO ON IR6_ZLAVA(FOUCNUF,FCCNUM,TRECEXREM);

CREATE TABLE IT6_HLAVSORT(
ID number(16,0),
EXPID varchar2(16),
ASSCEXASS varchar2(8),
ASSDESC varchar2(35),
ASSDDEB date,
ASSDFIN date,
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IT6_HLAVSO_UWFKEKB ON IT6_HLAVSORT(ID);

CREATE INDEX IT6_HLAVSO_HZUWCRH ON IT6_HLAVSORT(ASSCEXASS);

CREATE TABLE IT6_POLOZKY(
ID number(16,0),
EXPID varchar2(16),
ASSCEXASS varchar2(8),
ASSDESC varchar2(35),
ASLRESCINT number(5,0),
TROBDESC varchar2(50),
ARTCEXR varchar2(13),
TSOBDESC varchar2(50),
OBJPERE number(10,0),
TSOBDESC2 varchar2(50),
FOUCNUF varchar2(10),
FOULIBL varchar2(35),
ARVUUVC number(3,0),
T_ARTUUVC varchar2(20),
ARVPUVC number(6,3),
AATVALN varchar2(15),
NOTE varchar2(100),
ASPDDEB date,
ASPDFIN date,
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE UNIQUE INDEX IT6_POLOZK_JVHEWIF ON IT6_POLOZKY(ID);

CREATE INDEX IT6_POLOZK_ZALGMZD ON IT6_POLOZKY(ASSCEXASS,ASLRESCINT,ARTCEXR,ASPDDEB);

CREATE TABLE IT6_UZLYSORT(
ID number(16,0),
EXPID varchar2(16),
ASSCEXASS varchar2(8),
ASSDESC varchar2(35),
ASLRESCINT number(8,0),
TROBDESC varchar2(35),
TSOBDESC varchar2(50),
ASLPRASMIN number(3,0),
ASLPRASMAX number(3,0),
ASLDDEB date,
ASLDFIN date,
KODAKCIE number(3,0),
POPISAKCIE varchar2(50),
PRIZNAKZMENY varchar2(50),
DETAILZMENY long,
TNG_STAV varchar2(1),
TNG_EXPORT varchar2(1)
);

CREATE INDEX IT6_UZLYSO_DOPNIMT ON IT6_UZLYSORT(ASSCEXASS,ASLRESCINT,ASLDDEB);

CREATE UNIQUE INDEX IT6_UZLYSO_WEGLSPX ON IT6_UZLYSORT(ID);

CREATE TABLE TNGVAR(
KLUC varchar2(40),
UZIVATEL varchar2(8),
HODNOTA long
);

CREATE UNIQUE INDEX TNGVAR_MMMKQAL ON TNGVAR(KLUC, UZIVATEL);

CREATE TABLE TNG_CONV_DOD(
KOD_TNG varchar2(20),
KOD_COOP varchar2(20),
NAZOV_COOP varchar2(250),
EXPORT varchar2(1),
XD DATE
);

CREATE INDEX TNG_CONV_DOD_TNG ON TNG_CONV_DOD(KOD_TNG);
CREATE INDEX TNG_CONV_DOD_COOP ON TNG_CONV_DOD(KOD_COOP);

CREATE TABLE TNG_CONV_SITE(
KOD_TNG varchar2(20),
KOD_COOP varchar2(20),
NAZOV_COOP varchar2(250),
EXPORT varchar2(1),
XD DATE
);

CREATE INDEX TNG_CONV_SITE_TNG ON TNG_CONV_SITE(KOD_TNG);
CREATE INDEX TNG_CONV_SITE_COOP ON TNG_CONV_SITE(KOD_COOP);

CREATE TABLE TNG_CONV_TOV(
KOD_TNG varchar2(20),
KOD_COOP varchar2(20),
NAZOV_COOP varchar2(250),
EXPORT varchar2(1),
XD DATE
);

CREATE INDEX TNG_CONV_TOV_TNG ON TNG_CONV_TOV(KOD_TNG);
CREATE INDEX TNG_CONV_TOV_COOP ON TNG_CONV_TOV(KOD_COOP);

CREATE TABLE TNG_CONV_CENY_A(
KOD_AKCIE varchar2(1),
TYP_CENY varchar2(1),
PARAMS varchar2(50),
XD DATE
);

CREATE INDEX TNG_CONV_CENY_A_KOD ON TNG_CONV_CENY_A(KOD_AKCIE);

CREATE TABLE TNG_CONV_CENY_N(
KOD_UZLA number(10,0),
TYP_CENY varchar2(1),
PARAMS varchar2(50),
XD DATE
);

CREATE INDEX TNG_CONV_CENY_N_KOD ON TNG_CONV_CENY_N(KOD_UZLA);

CREATE TABLE VERZIE(
PROJEKT VARCHAR2(60),
VERZIA NUMBER(4,2),
XO VARCHAR2(30),
XD DATE);

INSERT INTO VERZIE(PROJEKT,VERZIA,XO,XD) VALUES ('AURIGA',1.03,'AURIGA',sysdate);

CREATE TABLE TN_CFG(
KLUC varchar2(128),
HODNOTA long
);

CREATE UNIQUE INDEX TN_CFG_ENHWOXS ON TN_CFG(KLUC);