/*
 * Copyright (c) 2007 innoSysTec (R) GmbH, Germany. All rights reserved.
 * Original author: Edmund Wagner
 * Creation date: 26.06.2007
 *
 * Source: $HeadURL$
 * Last changed: $LastChangedDate$
 * 
 * the unrar licence applies to all junrar source and binary distributions 
 * you are not allowed to use this source to re-create the RAR compression algorithm
 * 
 * Here some html entities which can be used for escaping javadoc tags:
 * "&":  "&#038;" or "&amp;"
 * "<":  "&#060;" or "&lt;"
 * ">":  "&#062;" or "&gt;"
 * "@":  "&#064;" 
 */
package de.innosystec.unrar.io;

import java.io.IOException;
import java.io.InputStream;

/**
 * DOCUMENT ME
 *
 * @author $LastChangedBy$
 * @version $LastChangedRevision$
 */
public class ReadOnlyAccessInputStream extends InputStream
{
	private IReadOnlyAccess file;
	
	private long curPos;
	private long startPos;
	private long endPos;
	
	
	public ReadOnlyAccessInputStream(IReadOnlyAccess file,long startPos, long endPos)
	{
		super();
		this.file = file;
		this.startPos = startPos;
		curPos = startPos;
		this.endPos = endPos;
		file.setPosition(curPos);
	}

	@Override
	public int read() throws IOException
	{
		byte[] b = new byte[1];
		if(file.readBytes(b, 1)==-1){
			throw new IOException("problem reading from stream source");
		}
		return b[0];
	}

	@Override
	public int read(byte[] b, int off, int len) throws IOException
	{
		int toread = Math.min(b.length-off, len-off);
		byte[] tmp = new byte[toread];
		int read = file.readBytes(tmp, toread);
		if(read!=-1){	
			System.arraycopy(tmp, 0, b, off, read);
		}
		return read;
	}

	@Override
	public int read(byte[] b) throws IOException
	{
		int read = file.readBytes(b, b.length);

		return read;
	}

}
