/*
 * Copyright (c) 2007 innoSysTec (R) GmbH, Germany. All rights reserved.
 * Original author: Edmund Wagner
 * Creation date: 04.06.2007
 *
 * Source: $HeadURL$
 * Last changed: $LastChangedDate$
 * 
 * the unrar licence applies to all junrar source and binary distributions 
 * you are not allowed to use this source to re-create the RAR compression algorithm
 * 
 * Here some html entities which can be used for escaping javadoc tags:
 * "&":  "&#038;" or "&amp;"
 * "<":  "&#060;" or "&lt;"
 * ">":  "&#062;" or "&gt;"
 * "@":  "&#064;" 
 */
package de.innosystec.unrar.unpack.ppm;

import de.innosystec.unrar.io.Raw;



/**
 * DOCUMENT ME
 * 
 * @author $LastChangedBy$
 * @version $LastChangedRevision$
 */
public class FreqData extends Pointer{

	public static final int size = 6; 
	
	private short summFreq;

	private int stats; //pointer State

	public FreqData(byte[]mem){
		super(mem);
	}
	
	public int getStats() {
		if(mem!=null){
			stats =  Raw.readIntLittleEndian(mem,  pos+2);
		}
		return stats;
	}

	public void setStats(State state) {
		setStats(state.getAddress());
	}
	public void setStats(int state) {
		stats = state;
		if(mem != null){
			Raw.writeIntLittleEndian(mem, pos+2, state);
		}
	}
	public short getSummFreq() {
		if(mem!=null){
			summFreq = Raw.readShortLittleEndian(mem,  pos);
		}
		return summFreq;
	}

	public void setSummFreq(short summFreq) {
		this.summFreq = summFreq;
		if(mem!=null){
			Raw.writeShortLittleEndian(mem, pos, summFreq);
		}
	}

	

	public boolean setAddress(int pos)
	{
		if (mem == null) {
			return false;
		}
		if (pos < 0 || pos >= mem.length) {
			return false;
		}
		if (pos + size >= mem.length) {
			return false;
		}
		this.pos = pos;
		summFreq = Raw.readShortLittleEndian(mem, pos);
		pos+=2;
		stats = Raw.readIntLittleEndian(mem, pos);
		
		return true;
	}

	
}
