/*
 * Copyright (c) 2007 innoSysTec (R) GmbH, Germany. All rights reserved.
 * Original author: Edmund Wagner
 * Creation date: 31.05.2007
 *
 * Source: $HeadURL$
 * Last changed: $LastChangedDate$
 * 
 * the unrar licence applies to all junrar source and binary distributions 
 * you are not allowed to use this source to re-create the RAR compression algorithm
 * 
 * Here some html entities which can be used for escaping javadoc tags:
 * "&":  "&#038;" or "&amp;"
 * "<":  "&#060;" or "&lt;"
 * ">":  "&#062;" or "&gt;"
 * "@":  "&#064;" 
 */
package de.innosystec.unrar.unpack.ppm;

/**
 * DOCUMENT ME
 * 
 * @author $LastChangedBy$
 * @version $LastChangedRevision$
 */
public class SEE2Context {
	public static final int size = 4;
	
	private short summ;

	private byte shift;

	private byte count;

	public void init(int initVal) {
		shift = (ModelPPM.PERIOD_BITS - 4);

		summ = (byte) (initVal << shift);
		count = 4;
	}

	public int getMean() {
		int retVal = ((summ) >>> shift) & 0xF;
		summ -= retVal;
		return retVal + ((retVal == 0) ? 1 : 0);
	}

	public void update() {
		if (shift < ModelPPM.PERIOD_BITS && --count == 0) {
			summ += summ;
			count = (byte) (3 << shift++);
		}
	}

	public byte getCount() {
		return count;
	}

	public void setCount(byte count) {
		this.count = count;
	}

	public byte getShift() {
		return shift;
	}

	public void setShift(byte shift) {
		this.shift = shift;
	}

	public short getSumm() {
		return summ;
	}

	public void setSumm(short summ) {
		this.summ = summ;
	}
	
	
}
